oceUnits2whpUnits {oce} | R Documentation

## Translate oce unit to WHP unit

### Description

Translate oce units to WHP-style strings, to match patterns. For example, the pattern `"oxygen"` is taken to mean `"CTDOXY"`.

### Usage

    oceUnits2whpUnits(units, scales)

### Arguments

`units` | vector of expressions for units in oce notation.
`scales` | vector of strings for scales in oce notation.

### Value

vector of strings holding WOCE-style names.

### Author(s)

Dan Kelley

### References

Several online sources list WOCE names. An example is https://geo.h2o.ucsd.edu/documentation/manuals/pdf/90_1/chap4.pdf

### See Also

Other things related to `ctd` data: `[[,ctd-method`, `[[<-,ctd-method`, `as.ctd`, `cnvName2oceName`, `ctd-class`, `ctdDecimate`, `ctdFindProfiles`, `ctdRaw`, `ctdTrim`, `ctd`, `handleFlags,ctd-method`, `oceNames2whpNames`, `plot,ctd-method`, `plotProfile`, `plotScan`, `plotTS`, `read.ctd.itp`, `read.ctd.odf`, `read.ctd.sbe`, `read.ctd.woce.other`, `read.ctd.woce`, `read.ctd`, `subset,ctd-method`, `summary,ctd-method`, `woceNames2oceNames`, `woceUnit2oceUnit`, `write.ctd`

Other functions that interpret variable names and units from headers: `ODFNames2oceNames`, `cnvName2oceName`, `oceNames2whpNames`, `unitFromStringRsk`, `unitFromString`, `woceNames2oceNames`, `woceUnit2oceUnit`

[Package oce version 0.9-22 Index]